<template>
    <div class="author-page news-wrapper container">
        <div class="author-info">
            <div class="user" >
                <div class="photo">
                    <img :src="author._links.avatar.href" alt="" />
                </div>
                <div class="info">
                    <div class="name">{{author.name}} </div>
                    <div class="contact">
                        <div class="email">{{author.email}}</div>
                        <div class="phone">{{author.phone}}</div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-12">
                <h1>Записи пользователя</h1>
            </div>
        </div>
        <div class="news-list row" >
            <n-card v-for="(item, i) in authorNews" class="item-news" :listIndex="(currentPage-1)*20+i" :news="item" :key="i"></n-card>
        </div>

        <router-view ></router-view>
    </div>
</template>

<script>
    import nCard from '../components/blog/NewsCard'
    import spiner from '../components/loading'
    import pagination from '../components/pagination'
    import {mapActions,mapState,mapGetters} from 'vuex';

    export default {
        name: "author",
        components: {
            nCard,
            spiner,
            pagination,
        },
        data() {
            return {
                isLoading: true,
            }
        },
        computed: {
            ...mapState('authors',{
                pageCount: state => state.pageCount,
                currentPage: state => state.currentPage,
                author: state => state.user
            }),
            ...mapGetters('authors',{
                authorNews: 'GET_AUTHOR_NEWS_A',
            }),
            getPage() {
                let isPage = this.$route.fullPath.split('/').pop();
                let curPage = this.currentPage;
                if (isPage.indexOf('page-') >= 0) {
                    curPage = parseInt(isPage.replace('page-',''))
                }
                return curPage;
            }
        },
        methods: {
            ...mapActions('authors',{
                getAuthorNews: 'INIT_AUTHOR_NEWS',
            }),

        },
        watch: {
            getPage: {
                immediate: true,
                handler: function () {
                    this.getAuthorNews(this.$route.params.id );
                }
            }
        },
    }
</script>


<style lang="scss" scoped>

    .news-list {
        display: flex;
        flex-wrap: wrap;

        .item-news {
            margin-bottom: 20px;
        }
    }

    .user {
        display: flex;
        margin-left: auto;
        align-items: center;
        justify-content: flex-start;
        padding: 15px;
        background: #f1f1f1;

        .photo {
            width: 100px;
            height: 100px;
            overflow: hidden;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: 15px;

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
        .info {
            .name {
                font-size: 18px;
                font-weight: 600;
                margin-bottom: 5px;
            }
        }
    }

</style>